// dinamkol2.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
// Составить список строк и посчитать количество элементов с помощью попрограммы.
//Удалить список в коце работы.
struct rec{
       char inf[22];
       rec *p;};
int count(rec *first)
{int n=0;rec *q;
 q=first;
 while (q!=NULL)
 { n++;
   q=q->p;
 }
 return n;
}
void main()
   {rec *first,*q,*p;
    char s[22];
    puts("Input string or empty string");
	gets(s);
    first=new rec;
	first->p=NULL;
	 strcpy(first->inf,s);
     p=first;
	 gets(s);
	 while(s[0]!='\0')
	 {
       q=new rec;
       strcpy(q->inf,s);
	   q->p=NULL;
	   p->p=q;     
       p=q;
	   gets(s);
     }
	puts("Inputed Spisok");
       q=first;
    while(q!=NULL)
	{
       puts(q->inf);
       q=q->p;
	}

  printf("\nIn Spisok %5d Elementov\n",count(first));
  puts("Delete spisok");
      while(first!=NULL)
		  { puts(first->inf);
            q=first;
		    first=first->p;
			delete q;
		  }
        q=p=NULL;
 }